--- old/usr/src/cmd/hwdata/usb.ids	Thu Sep  4 21:12:21 2014
+++ new/usr/src/cmd/hwdata/usb.ids	Thu Sep  4 21:12:21 2014
@@ -9,8 +9,8 @@
 #	The latest version can be obtained from
 #		http://www.linux-usb.org/usb.ids
 #
-# Version: 2013.05.24
-# Date:    2013-05-24 20:34:03
+# Version: 2014.08.25
+# Date:    2014-08-25 20:34:08
 #
 
 # Vendors, devices and interfaces. Please keep sorted.
@@ -26,10 +26,12 @@
 0002  Ingram
 0003  Club Mac
 0004  Nebraska Furniture Mart
+0011  Unknown
+	7788  Flash mass storage drive
 0053  Planex
 	5301  GW-US54ZGL 802.11bg
 0079  DragonRise Inc.
-	0006  Generic USB Joystick
+	0006  PC TWIN SHOCK Gamepad
 	0011  Gamepad
 0105  Trust International B.V.
 	145f  NW-3100 802.11b/g 54Mbps Wireless Network Adapter [zd1211]
@@ -37,8 +39,10 @@
 	0112  Card Reader
 017c  MLK
 	145f  Trust Deskset
+0200  TP-Link
+	0201  MA180 UMTS Modem
 0204  Chipsbank Microelectronics Co., Ltd
-	6025  CBM2080 Flash drive controller
+	6025  CBM2080 / CBM2090 Flash drive controller
 	6026  CBM1180 Flash drive controller
 0218  Hangzhou Worlde
 	0301  MIDI Port
@@ -105,9 +109,16 @@
 	2107  AVR Dragon
 	2109  STK541 ZigBee Development Board
 	210d  XPLAIN evaluation kit (CDC ACM)
+	2110  AVR JTAGICE3 Debugger and Programmer
 	2122  XMEGA-A1 Explained evaluation kit
+	2141  ICE debugger
 	2310  EVK11xx evaluation board
 	2fe4  ATxmega32A4U DFU bootloader
+	2fe6  Cactus V6 (DFU)
+	2fea  Cactus RF60 (DFU)
+	2ff0  atmega32u2 DFU bootloader
+	2ff4  atmega32u4 DFU bootloader
+	2ffa  at90usb162 DFU bootloader
 	2ffb  at90usb AVR DFU bootloader
 	2ffd  at89c5130/c5131 DFU bootloader
 	2fff  at89c5132/c51snd1c DFU bootloader
@@ -164,6 +175,7 @@
 	011d  Bluetooth 1.2 Interface [Broadcom BCM2035]
 	0121  HP49g+ Calculator
 	0122  HID Internet Keyboard
+	0139  Barcode Scanner 4430
 	0201  ScanJet 6200c
 	0202  PhotoSmart S20
 	0204  DeskJet 815c
@@ -182,6 +194,7 @@
 	0314  designjet 30/130 series
 	0317  LaserJet 1200
 	0324  SK-2885 keyboard
+	034a  Elite Keyboard
 	0401  ScanJet 5200c
 	0404  DeskJet 830c/832c
 	0405  ScanJet 3400cse
@@ -189,6 +202,8 @@
 	0412  Printing Support
 	0417  LaserJet 1200 series
 	0423  HS-COMBO Cardreader
+	042a  LaserJet M1132 MFP
+	0441  HP Prime Calculator
 	0504  DeskJet 885c
 	0505  ScanJet 2100c
 	0507  DVD+RW
@@ -219,6 +234,7 @@
 	0912  Printing Support
 	0917  LaserJet 3330
 	0924  Modular Smartcard Keyboard
+	094a  Optical Mouse [672662-001]
 	0a01  ScanJet 2400c
 	0a17  color LaserJet 3700
 	0b01  ScanJet 82x0C
@@ -260,6 +276,7 @@
 	1312  DeskJet 460
 	1317  LaserJet 1005
 	1327  iLO Virtual Hub
+	134a  Optical Mouse
 	1405  ScanJet 3670
 	1411  PSC 750
 	1424  f2105 Monitor Hub
@@ -270,6 +287,7 @@
 	1512  Printing Support
 	1517  color LaserJet 3500
 	1524  Smart Card Keyboard - KR
+	1539  Mini Magnetic Stripe Reader
 	1602  PhotoSmart 330 series
 	1604  DeskJet 940c
 	1605  ScanJet 5530C PhotoSmart
@@ -307,6 +325,7 @@
 	1c17  Color LaserJet 2550l
 	1d02  PhotoSmart A310 series
 	1d17  LaserJet 1320
+	1d24  Barcode scanner
 	1e02  PhotoSmart A320 Printer series
 	1e11  PSC-950
 	1e17  LaserJet 1160 series
@@ -321,6 +340,7 @@
 	2005  ScanJet 3570c
 	2012  OfficeJet Pro K5400
 	201d  un2400 Gobi Wireless Modem (QDL mode)
+	2039  Cashdrawer
 	2102  PhotoSmart 7345
 	2104  DeskJet 630c
 	2112  OfficeJet Pro L7500
@@ -335,7 +355,7 @@
 	2311  OfficeJet d series
 	2312  OfficeJet Pro L7700
 	2317  LaserJet 4350
-	231d  4 GB Flash Drive
+	231d  Broadcom 2070 Bluetooth Combo
 	2402  PhotoSmart 7700 series
 	2404  Deskjet F2280 series
 	2405  ScanJet 4070 PhotoSmart
@@ -345,7 +365,8 @@
 	2502  PhotoSmart 7700 series
 	2504  DeskJet F4200 series
 	2505  ScanJet 3770
-	2512  OfficeJet Pro L7300
+	2512  OfficeJet Pro L7300 / Compaq LA2405 series monitor
+	2514  4-port hub
 	2517  LaserJet 2410
 	251d  Gobi 2000 Wireless Modem
 	2524  LP3065 30" Monitor Hub
@@ -357,6 +378,7 @@
 	2702  PhotoSmart A620 series
 	2704  DeskJet 915
 	2717  Color LaserJet 2830
+	2724  Magnetic Stripe Reader IDRA-334133-HP
 	2811  PSC-2100
 	2817  Color LaserJet 2840
 	2902  PhotoSmart A820 series
@@ -421,6 +443,7 @@
 	3b11  PSC 1300 series
 	3b17  LaserJet M1005 MFP
 	3c02  PhotoSmart 7350
+	3c05  Scanjet Professional 1000 Mobile Scanner
 	3c11  PSC 1358
 	3c17  EWS UPD
 	3d02  PhotoSmart 7350~
@@ -470,6 +493,7 @@
 	5017  EWS UPD
 	5111  PhotoSmart 3200 series
 	5211  PhotoSmart 3300 series
+	5307  v165w Stick
 	5311  OfficeJet 6300
 	5312  Officejet Pro 8500A
 	5411  OfficeJet 4300
@@ -481,6 +505,7 @@
 	5811  PhotoSmart C5100 series
 	5817  LaserJet M1319f MFP
 	5911  PhotoSmart C6180
+	5912  Officejet Pro 8600
 	5a11  PhotoSmart C7100 series
 	5b11  OfficeJet J2100 series
 	5c11  PhotoSmart C4200 Printer series
@@ -517,6 +542,7 @@
 	6a17  LaserJet 4240
 	6b02  PhotoSmart R707 (PTP mode)
 	6b11  Photosmart C4500 series
+	6c11  Photosmart C4480
 	6c17  Color LaserJet 4610
 	6f17  Color LaserJet CP6015 series
 	7004  DeskJet 3320c
@@ -644,6 +670,7 @@
 03fb  OPTi, Inc.
 03fc  Elitegroup Computer Systems
 03fd  Xilinx, Inc.
+	0008  Platform Cable USB II
 03fe  Farallon Comunications
 0400  National Semiconductor Corp.
 	05dc  Rigol Technologies DS1000USB Oscilloscope
@@ -677,6 +704,7 @@
 	0000  H4SMK 7 Port Hub
 	0232  Serial Converter
 	1060  JTAG adapter
+	1234  IronLogic RFID Adapter [Z-2 USB]
 	6001  FT232 USB-Serial (UART) IC
 	6002  Lumel PD12
 	6007  Serial Converter
@@ -689,11 +717,22 @@
 	8028  Dev board JTAG (FT232H based)
 	8040  4 Port Hub
 	8070  7 Port Hub
+	8140  Vehicle Explorer Interface
+	8210  MGTimer - MGCC (Vic) Timing System
 	8370  7 Port Hub
 	8371  PS/2 Keyboard And Mouse
 	8372  FT8U100AX Serial Port
 	8a28  Rainforest Automation ZigBee Controller
 	8a98  TIAO Multi-Protocol Adapter
+	8b28  Alpermann+Velte TCI70
+	8b29  Alpermann+Velte TC60 CLS
+	8b2a  Alpermann+Velte Rubidium Q1
+	8b2b  Alpermann+Velte TCD
+	8b2c  Alpermann+Velte TCC70
+	9132  LCD and Temperature Interface
+	9133  CallerID
+	9135  Rotary Pub alarm
+	9136  Pulsecounter
 	9e90  Marvell OpenRD Base/Client
 	9f80  Ewert Energy Systems CANdapter
 	a6d0  Texas Instruments XDS100v2 JTAG / BeagleBone A3
@@ -726,6 +765,7 @@
 	c8bc  Alpermann+Velte Rubidium S1
 	c8bd  Alpermann+Velte Rubidium T1
 	c8be  Alpermann+Velte Rubidium D1
+	c8bf  Alpermann+Velte TC60 RLV
 	cc48  Tactrix OpenPort 1.3 Mitsubishi
 	cc49  Tactrix OpenPort 1.3 Subaru
 	cc4a  Tactrix OpenPort 1.3 Universal
@@ -760,6 +800,9 @@
 	ed74  HAMEG HO820 Serial Port
 	ef10  FT1245BL
 	f070  Serial Converter 422/485 [Vardaan VEUSB422R3]
+	f0c8  SPROG Decoder Programmer
+	f0c9  SPROG-DCC CAN-USB
+	f0e9  Tagsys L-P101
 	f1a0  Asix PRESTO Programmer
 	f208  Papenmeier Braille-Display
 	f3c0  4N-GALAXY Serial Converter
@@ -861,6 +904,7 @@
 	0249  Aterm WL300NU-G
 	02b4  Aterm WL300NU-AG
 	02b6  Aterm WL300NU-GS 802.11n Wireless Adapter
+	02bc  Computer Monitor
 	0300  LifeTouch Note
 	0301  LifeTouch Note (debug mode)
 	55aa  Hub
@@ -994,7 +1038,11 @@
 	05d4  EasyShare C180 Digital Camera
 	1001  EasyShare SV811 Digital Picture Frame
 	4000  InkJet Color Printer
+	4021  Photo Printer 6800
 	4022  1400 Digital Photo Printer
+	402b  Photo Printer 6850
+	402e  605 Photo Printer
+	4034  805 Photo Printer
 	4056  ESP 7200 Series AiO
 	4109  EasyShare Printer Dock Series 3
 	410d  EasyShare G600 Printer Dock
@@ -1006,6 +1054,7 @@
 	6004  i60
 	6005  i80
 040b  Weltrend Semiconductor
+	0a68  Func MS-3 gaming mouse [WT6573F MCU]
 	6510  Weltrend Bar Code Reader
 	6520  XBOX Xploder
 	6533  Speed-Link Competition Pro
@@ -1234,6 +1283,7 @@
 	4056  Live! Cam Video IM Pro
 	4057  Live! Cam Optia
 	4058  Live! Cam Optia AF
+	405f  WebCam Vista (VF0330)
 	4061  Live! Cam Notebook Pro [VF0400]
 	4063  Live! Cam Video IM Pro
 	4068  Live! Cam Notebook [VF0470]
@@ -1447,10 +1497,12 @@
 	2524  USB MultiSwitch Hub
 	2602  USB 2.0 Hub
 	2640  USB 2.0 Hub
+	2660  Hub
 	4060  Ultra Fast Media Reader
 	4064  Ultra Fast Media Reader
 	7500  LAN7500 Ethernet 10/100/1000 Adapter
-	9512  LAN9500 Ethernet 10/100 Adapter / SMSC9512/9514 Hub
+	9512  SMC9512/9514 USB Hub
+	9514  SMC9514 Hub
 	a700  2 Port Hub
 	ec00  SMSC9512/9514 Fast Ethernet Adapter
 0425  Motorola Semiconductors HK, Ltd
@@ -1645,6 +1697,7 @@
 	010d  3500-4500 series
 	010f  6500 series
 	0142  X3650 (Printer, Scanner, Copier)
+	01fa  S310 series
 	4303  Xerox WorkCentre Pro 412
 043e  LG Electronics USA, Inc.
 	3001  AN-WF100 802.11abgn Wireless Adapter [Broadcom BCM4323]
@@ -1652,6 +1705,8 @@
 	4a4d  Flatron 915FT Plus Monitor
 	7001  MF-PD100 Soul Digital MP3 Player
 	7013  MP3 Player
+	70d7  Mouse Scanner LSM-150 [LG Smart Scan Mouse]
+	70f5  External HDD
 	8484  LPC-U30 Webcam II
 	8585  LPC-UC35 Webcam
 	8888  Electronics VCS Camera II(LPC-U20)
@@ -1706,6 +1761,7 @@
 	b10a  T.16000M Joystick
 	b203  360 Modena Pro Wheel
 	b300  Firestorm Dual Power
+	b303  FireStorm Dual Analog 2
 	b304  Firestorm Dual Power
 	b307  vibrating Upad
 	b30b  Wireless VibrationPad
@@ -1727,6 +1783,7 @@
 	2036  TUSB2036 Hub
 	2046  TUSB2046 Hub
 	2077  TUSB2077 Hub
+	2f90  SM-USB-DIG
 	3410  TUSB3410 Microcontroller
 	3f00  OMAP1610
 	3f02  SMC WSKP100 Wi-Fi Phone
@@ -1738,10 +1795,11 @@
 	625f  TUSB6250 ATA Bridge
 	8042  Hub
 	dbc0  Device Bay Controller
-	e001  GraphLink
+	e001  GraphLink [SilverLink]
 	e003  TI-84 Plus Calculator
 	e004  TI-89 Titanium Calculator
 	e008  TI-84 Plus Silver Calculator
+	e012  TI-Nspire Calculator
 	f430  MSP-FET430UIF JTAG Tool
 	f432  eZ430 Development Tool
 	ffff  Bluetooth Device
@@ -1749,6 +1807,7 @@
 	0021  HID Monitor Controls
 	0050  Diamond Pro 900u CRT Monitor
 	0051  Integrated Hub
+	0100  Control Panel for Leica TCS SP5
 0453  CMD Technology
 	6781  NMB Keyboard
 	6783  Chicony Composite Keyboard
@@ -1761,7 +1820,8 @@
 	0150  Super Talent 1GB Flash Drive
 	0151  Super Flash 1GB / GXT  64MB Flash Drive
 	0162  SiS162 usb Wireless LAN Adapter
-	0163  802.11 Wireless LAN Adapter
+	0163  SiS163U 802.11 Wireless LAN Adapter
+	0817  SiS-184-ASUS-4352.17 touch panel
 	5401  Wireless Adapter RO80211GS-USB
 0458  KYE Systems Corp. (Mouse Systems)
 	0001  Mouse
@@ -1830,6 +1890,7 @@
 	4012  TVGo DVB-T03 [AF9015]
 	5003  G-pen 560 Tablet
 	5004  G-pen Tablet
+	505e  Genius iSlim 330
 	6001  GF3000F Ethernet Adapter
 	7004  VideoCAM Express V2
 	7006  Dsc 1.3 Smart Camera Device
@@ -1852,8 +1913,17 @@
 	7055  Slim 2020AF camera
 	705a  Asus USB2.0 Webcam
 	705c  Genius iSlim 1300AF
+	7061  Genius iLook 1321 V2
+	7066  Acer Crystal Eye Webcam
+	7067  Genius iSlim 1300AF V2
+	7068  Genius eFace 1325R
+	706d  Genius iSlim 2000AF V2
+	7076  Genius FaceCam 312
 	7079  FaceCam 2025R
 	707f  TVGo DVB-T03 [RTL2832]
+	7088  WideCam 1050
+	7089  Genius FaceCam 320
+	708c  Genius WideCam F100
 0459  Adobe Systems, Inc.
 045a  SONICblue, Inc.
 	07da  Supra Express 56K modem
@@ -1984,10 +2054,15 @@
 	029d  Xbox360 HD-DVD Drive
 	029e  Xbox360 HD-DVD Memory Unit
 	02a0  Xbox360 Big Button IR
+	02a1  Xbox 360 Wireless Receiver for Windows
 	02a8  Xbox360 Wireless N Networking Adapter [Atheros AR7010+AR9280]
 	02ad  Xbox NUI Audio
 	02ae  Xbox NUI Camera
 	02b0  Xbox NUI Motor
+	02b6  Xbox 360 / Bluetooth Wireless Headset
+	02be  Kinect for Windows NUI Audio
+	02bf  Kinect for Windows NUI Camera
+	02c2  Kinect for Windows NUI Motor
 	0400  Windows Powered Pocket PC 2002
 	0401  Windows Powered Pocket PC 2002
 	0402  Windows Powered Pocket PC 2002
@@ -2142,7 +2217,10 @@
 	076d  LifeCam HD-5000
 	0772  LifeCam Studio
 	0779  LifeCam HD-3000
+	0780  Comfort Curve Keyboard 3000
+	0797  Optical Mouse 200
 	930a  ISOUSB.SYS Intel 82930 Isochronous IO Test Board
+	ffca  Catalina
 	fff8  Keyboard
 	ffff  Windows CE Mass Storage
 0460  Ace Cad Enterprise Co., Ltd
@@ -2215,7 +2293,7 @@
 0467  AT&T Paradyne
 0468  Wieson Technologies Co., Ltd
 046a  Cherry GmbH
-	0001  My3000 Keyboard
+	0001  Keyboard
 	0003  My3000 Hub
 	0004  CyBoard Keyboard
 	0005  XX33 SmartCard Reader Keyboard
@@ -2228,6 +2306,7 @@
 	002a  Wireless Mouse & Keyboard
 	002d  SmartTerminal XX44
 	003e  SmartTerminal ST-2xxx
+	0041  G86 6240 Keyboard
 	0080  eHealth Terminal ST 1503
 	0081  eHealth Keyboard G87 1504
 	0106  R-300 Wireless Mouse Receiver
@@ -2266,7 +2345,9 @@
 	0828  HD Webcam B990
 	082d  HD Pro Webcam C920
 	0830  QuickClip
+	0837  BCC950 ConferenceCam
 	0840  QuickCam Express
+	0843  Webcam C930e
 	0850  QuickCam Web
 	0870  QuickCam Express
 	0890  QuickCam Traveler
@@ -2367,6 +2448,9 @@
 	0a13  Z-5 Speakers
 	0a17  G330 Headset
 	0a1f  G930
+	0a29  H600 [Wireless Headset]
+	0a38  Headset H340
+	0a4d  G430 Surround Sound Gaming Headset
 	0b02  C-UV35 [Bluetooth Mini-Receiver] (HID proxy mode)
 	8801  Video Camera
 	b305  BT Mini-Receiver
@@ -2430,11 +2514,14 @@
 	c061  RX1500 Laser Mouse
 	c062  M-UAS144 [LS1 Laser Mouse]
 	c063  DELL Laser Mouse
+	c064  M110 corded optical mouse (M-B0001)
+	c066  G9x Laser Mouse
 	c068  G500 Laser Mouse
 	c069  M500 Laser Mouse
 	c06a  USB Optical Mouse
 	c06b  G700 Wireless Gaming Mouse
 	c06c  Optical Mouse
+	c077  M105 Optical Mouse
 	c101  UltraX Media Remote
 	c110  Harmony 785/885 Remote
 	c111  Harmony 525 Remote
@@ -2441,9 +2528,11 @@
 	c112  Harmony 890 Remote
 	c11f  Harmony 900/1100 Remote
 	c121  Harmony One Remote
-	c122  Harmony 700 Remote
+	c122  Harmony 650/700 Remote
 	c124  Harmony 300 Remote
 	c125  Harmony 200 Remote
+	c126  Harmony Link
+	c12b  Harmony Touch Remote
 	c201  WingMan Extreme Joystick with Throttle
 	c202  WingMan Formula
 	c207  WingMan Extreme Digital 3D
@@ -2473,6 +2562,8 @@
 	c225  G11/G15 Keyboard / G keys
 	c226  G15 Refresh Keyboard
 	c227  G15 Refresh Keyboard
+	c228  G19 Gaming Keyboard
+	c229  G19 Gaming Keyboard Macro Interface
 	c22a  Gaming Keyboard G110
 	c22b  Gaming Keyboard G110 G-keys
 	c22d  G510 Gaming Keyboard
@@ -2479,6 +2570,10 @@
 	c22e  G510 Gaming Keyboard onboard audio
 	c245  G400 Optical Mouse
 	c246  Gaming Mouse G300
+	c248  G105 Gaming Keyboard
+	c24a  G600 Gaming Mouse
+	c24d  G710 Gaming Keyboard
+	c24e  G500s Laser Gaming Mouse
 	c281  WingMan Force
 	c283  WingMan Force 3D
 	c285  WingMan Strike Force 3D
@@ -2516,7 +2611,7 @@
 	c318  Illuminated Keyboard
 	c31a  Comfort Wave 450
 	c31b  Compact Keyboard K300
-	c31c  Keyboard K120 for Business
+	c31c  Keyboard K120
 	c31d  Media Keyboard K200
 	c401  TrackMan Marble Wheel
 	c402  Marble Mouse (2-button)
@@ -2550,12 +2645,23 @@
 	c526  Nano Receiver
 	c529  Logitech Keyboard + Mice
 	c52b  Unifying Receiver
+	c52d  R700 Remote Presenter receiver
+	c52e  MK260 Wireless Combo Receiver
 	c52f  Unifying Receiver
 	c532  Unifying Receiver
+	c534  Unifying Receiver
+	c603  3Dconnexion Spacemouse Plus XT
+	c605  3Dconnexion CADman
+	c606  3Dconnexion Spacemouse Classic
+	c621  3Dconnexion Spaceball 5000
 	c623  3Dconnexion Space Traveller 3D Mouse
 	c625  3Dconnexion Space Pilot 3D Mouse
 	c626  3Dconnexion Space Navigator 3D Mouse
 	c627  3Dconnexion Space Explorer 3D Mouse
+	c628  3Dconnexion Space Navigator for Notebooks
+	c629  3Dconnexion SpacePilot Pro 3D Mouse
+	c62b  3Dconnexion Space Mouse Pro
+	c640  NuLOOQ navigator
 	c702  Cordless Presenter
 	c703  Elite Keyboard Y-RP20 + Mouse MX900 (Bluetooth)
 	c704  diNovo Wireless Desktop
@@ -2694,6 +2800,7 @@
 	20b6  GoGear Vibe
 	20d0  SPZ2000 Webcam [PixArt PAC7332]
 	20e3  GoGear Raga
+	20e4  GoGear ViBE 8GB
 	262c  SPC230NC Webcam
 	485d  Senselock SenseIV v2.x
 	df55  LPCXpresso LPC-Link
@@ -2827,15 +2934,23 @@
 	4254  BUA-100 Bluetooth Adapter
 	ac01  Savi 7xx
 	ad01  GameCom 777 5.1 Headset
+	c00e  Blackwire C310 headset
 0480  Toshiba America Info. Systems, Inc.
 	0001  InTouch Module
 	0004  InTouch Module
 	0011  InTouch Module
 	0014  InTouch Module
+	0100  Stor.E Slim USB 3.0
+	a006  External Disk 1.5TB
 	a007  External Disk USB 3.0
+	a009  Stor.E Basics
+	a00d  STOR.E BASICS 500GB
+	b001  Stor.E Partner
+	d010  External Disk 3TB
 0481  Zenith Data Systems
 0482  Kyocera Corp.
 	000e  FS-1020D Printer
+	000f  FS-1920 Mono Printer
 	0100  Finecam S3x
 	0101  Finecam S4
 	0103  Finecam S5
@@ -2863,6 +2978,7 @@
 	5000  ST Micro/Ergenic ERG BT-002 Bluetooth Adapter
 	5001  ST Micro Bluetooth Device
 	5710  Joystick in FS Mode
+	5720  STM microSD Flash Device
 	5721  Hantek DDS-3X25 Arbitrary Waveform Generator
 	5740  STM32F407
 	7270  ST Micro Serial Bridge
@@ -2895,6 +3011,8 @@
 	9006  IT9135 BDA Afatech DVB-T HDTV Dongle
 	9009  Zolid HD DVD Maker
 	9135  Zolid Mini DVB-T Stick
+	9503  ITE it9503 feature-limited DVB-T transmission chip [ccHDtv]
+	9507  ITE it9507 full featured DVB-T transmission chip [ccHDtv]
 048f  Eicon Tech.
 0490  United Microelectronics Corp.
 0491  Capetronic
@@ -3253,6 +3371,7 @@
 	171b  MP960
 	1721  MP210 ser
 	1723  MP470 ser
+	1724  PIXMA MP520 series
 	1725  MP610 ser
 	1726  MP970 ser
 	1727  MX300 ser
@@ -3259,6 +3378,7 @@
 	1728  MX310 ser
 	1729  MX700 ser
 	172b  MP140 ser
+	173b  PIXMA MP270 All-In-One Printer
 	173e  MP560
 	173f  Pixma MP640 Multifunction device
 	1748  Pixma MG5150
@@ -3301,6 +3421,7 @@
 	2224  CanoScan LiDE 600F
 	2225  CanoScan LiDE 70
 	2228  CanoScan 4400F
+	2229  CanoScan 8600F
 	2602  MultiPASS C555
 	2603  MultiPASS C755
 	260a  CAPT Printer
@@ -3500,35 +3621,67 @@
 	3100  PowerShot TX1
 	310b  SELPHY CP600
 	310e  Digital IXUS 50 (PTP mode)
+	310f  PowerShot A420
 	3110  EOS Digital Rebel XTi
+	3115  PowerShot SD900 / Digital IXUS 900 Ti / IXY DIGITAL 1000
 	3116  Digital IXUS 750 / PowerShot SD550 (PTP mode)
 	3117  PowerShot A700
 	3119  PowerShot SD700 IS / Digital IXUS 800 IS / IXY Digital 800 IS
+	311a  PowerShot S3 IS
 	311b  PowerShot A540
+	311c  PowerShot SD600 DIGITAL ELPH / DIGITAL IXUS 60 / IXY DIGITAL 70
+	3125  PowerShot G7
+	3126  PowerShot A530
 	3127  SELPHY CP710
 	3128  SELPHY CP510
 	312d  Elura 100
+	3136  PowerShot SD800 IS / Digital IXUS 850 IS / IXY DIGITAL 900 IS
+	3137  PowerShot SD40 / Digital IXUS i7 IXY / DIGITAL L4
 	3138  PowerShot A710 IS
+	3139  PowerShot A640
+	313a  PowerShot A630
 	3141  SELPHY ES1
 	3142  SELPHY CP730
 	3143  SELPHY CP720
 	3145  EOS 450D
+	3146  EOS 40D
 	3147  EOS 1Ds Mark III
-	314f  Powershot SD1000
+	3148  PowerShot S5 IS
+	3149  PowerShot A460
+	314b  PowerShot SD850 IS DIGITAL ELPH / Digital IXUS 950 IS / IXY DIGITAL 810 IS
+	314c  PowerShot A570 IS
+	314d  PowerShot A560
+	314e  PowerShot SD750 DIGITAL ELPH / DIGITAL IXUS 75 / IXY DIGITAL 90
+	314f  PowerShot SD1000 DIGITAL ELPH / DIGITAL IXUS 70 / IXY DIGITAL 10
+	3150  PowerShot A550
 	3155  PowerShot A450
 	315a  PowerShot G9
+	315b  PowerShot A650 IS
 	315d  PowerShot A720
+	315e  PowerShot SX100 IS
+	315f  PowerShot SD950 IS DIGITAL ELPH / DIGITAL IXUS 960 IS / IXY DIGITAL 2000 IS
 	3160  Digital IXUS 860 IS
 	3170  SELPHY CP750
 	3171  SELPHY CP740
+	3173  PowerShot SD890 IS DIGITAL ELPH / Digital IXUS 970 IS / IXY DIGITAL 820 IS
+	3174  PowerShot SD790 IS DIGITAL ELPH / Digital IXUS 90 IS / IXY DIGITAL 95 IS
 	3175  IXY Digital 25 IS
 	3176  PowerShot A590
+	3177  PowerShot A580
 	317a  PC1267 [Powershot A470]
 	3184  Digital IXUS 80 IS (PTP mode)
 	3185  SELPHY ES2
 	3186  SELPHY ES20
+	318d  PowerShot SX100 IS
+	318e  PowerShot A1000 IS
+	318f  PowerShot G10
+	3191  PowerShot A2000 IS
 	3192  PowerShot SX110 IS
+	3193  PowerShot SD990 IS DIGITAL ELPH / Digital IXUS 980 IS / IXY DIGITAL 3000 IS
+	3195  PowerShot SX1 IS
+	3196  PowerShot SD880 IS DIGITAL ELPH / Digital IXUS 870 IS / IXY DIGITAL 920 IS
 	319a  EOS 7D
+	319b  EOS 50D
 	31aa  SELPHY CP770
 	31ab  SELPHY CP760
 	31ad  PowerShot E1
@@ -3536,12 +3689,27 @@
 	31b0  SELPHY ES30
 	31b1  SELPHY CP530
 	31bc  PowerShot D10
+	31bd  PowerShot SD960 IS DIGITAL ELPH / Digital IXUS 110 IS / IXY DIGITAL 510 IS
+	31be  PowerShot A2100 IS
 	31bf  PowerShot A480
 	31c0  PowerShot SX200 IS
+	31c1  PowerShot SD970 IS DIGITAL ELPH / Digital IXUS 990 IS / IXY DIGITAL 830 IS
+	31c2  PowerShot SD780 IS DIGITAL ELPH / Digital IXUS 100 IS / IXY DIGITAL 210 IS
+	31c3  PowerShot A1100 IS
+	31c4  PowerShot SD1200 IS DIGITAL ELPH / Digital IXUS 95 IS / IXY DIGITAL 110 IS
+	31cf  EOS Rebel T1i / EOS 500D / EOS Kiss X3
 	31dd  SELPHY CP780
+	31df  PowerShot G11
+	31e0  PowerShot SX120 IS
+	31e1  PowerShot S90
+	31e4  PowerShot SX20 IS
 	31e5  Digital IXUS 200 IS
+	31e6  PowerShot SD940 IS DIGITAL ELPH / Digital IXUS 120 IS / IXY DIGITAL 220 IS
+	31e7  SELPHY CP790
+	31ea  EOS Rebel T2i / EOS 550D / EOS Kiss X4
 	31ee  SELPHY ES40
 	31ef  PowerShot A495
+	31f0  PowerShot A490
 	31f1  PowerShot A3100 IS / PowerShot A3150 IS
 	31f2  PowerShot A3000 IS
 	31f3  PowerShot Digital ELPH SD1400 IS
@@ -3552,6 +3720,7 @@
 	31f8  Powershot SD4500 IS / IXUS 1000 HS / IXY 50S
 	31ff  Digital IXUS 55
 	3209  Vixia HF S21 A
+	320f  PowerShot G12
 	3210  Powershot SX30 IS
 	3211  PowerShot SX130 IS
 	3212  Powershot S95
@@ -3559,13 +3728,17 @@
 	3218  EOS 600D / Rebel T3i (ptp)
 	3223  PowerShot A3300 IS
 	3224  PowerShot A3200 IS
+	3225  PowerShot ELPH 500 HS / IXUS 310 HS
 	3226  PowerShow A800
+	3227  PowerShot ELPH 100 HS / IXUS 115 HS
 	3228  PowerShot SX230 HS
 	3229  PowerShot ELPH 300 HS / IXUS 220 HS
 	322a  PowerShot A2200
 	322b  Powershot A1200
+	322c  PowerShot SX220 HS
 	3233  PowerShot G1 X
 	3234  PowerShot SX150 IS
+	3235  PowerShot ELPH 510 HS / IXUS 1100 HS
 	3236  PowerShot S100
 	3237  PowerShot ELPH 310 HS / IXUS 230 HS
 	3238  PowerShot SX40 HS
@@ -3574,6 +3747,7 @@
 	323f  PowerShot A810
 	3240  PowerShot ELPH 320 HS / IXUS 240 HS
 	3241  PowerShot ELPH 110 HS / IXUS 125 HS
+	3242  PowerShot D20
 	3243  PowerShot A4000 IS
 	3244  PowerShot SX260 HS
 	3245  PowerShot SX240 HS
@@ -3588,6 +3762,26 @@
 	325a  PowerShot SX160 IS
 	325b  PowerShot S110
 	325c  PowerShot SX500 IS
+	325e  PowerShot N
+	325f  PowerShot SX280 HS
+	3260  PowerShot SX270 HS
+	3261  PowerShot A3500 IS
+	3262  PowerShot A2600
+	3263  PowerShot SX275 HS
+	3264  PowerShot A1400
+	3265  Powershot ELPH 130 IS / IXUS 140
+	3268  PowerShot ELPH 330 HS / IXUS 255 HS
+	3271  PowerShot A2500
+	3276  PowerShot SX170 IS
+	3277  PowerShot SX510 HS
+	3278  PowerShot S200
+	327d  Powershot ELPH 115 IS / IXUS 132
+	327f  EOS Rebel T5 / EOS 1200D / EOS Kiss X70
+	3284  PowerShot D30
+	3286  PowerShot SX600 HS
+	3288  Powershot ELPH 135 / IXUS 145
+	3289  PowerShot ELPH 340 HS / IXUS 265 HS
+	328a  PowerShot ELPH 150 IS / IXUS 155
 04aa  DaeWoo Telecom, Ltd
 04ab  Chromatic Research
 04ac  Micro Audiometrics Corp.
@@ -3658,8 +3852,11 @@
 	0413  D40 (mass storage mode)
 	041e  D60 digital camera (mass storage mode)
 	0422  D700 (ptp)
+	0423  D5000
 	0424  D3000
 	0425  D300S
+	0428  D7000
+	0429  D5100
 	042a  D800 (ptp)
 	0f03  PD-10 Wireless Printer Adapter
 	4000  Coolscan LS 40 ED
@@ -3688,6 +3885,7 @@
 	4427  Portable CD ROM
 	4482  Serial Converter
 	4485  Serial Converter
+	4524  40 Character Vacuum Fluorescent Display
 	4525  Double sided CRT
 	4535  4610 Suremark Printer
 	4550  NVRAM (128 KB)
@@ -3700,6 +3898,7 @@
 	0001  Mouse
 	0002  CY7C63x0x Thermometer
 	0033  Mouse
+	0060  Wireless optical mouse
 	0100  Cino FuzzyScan F760-B
 	0101  Keyboard/Hub
 	0102  Keyboard with APM
@@ -3711,6 +3910,8 @@
 	1006  Human Interface Device
 	2050  hub
 	2830  Opera1 DVB-S (cold state)
+	3813  NANO BIOS Programmer
+	4235  Monitor 02 Driver
 	4381  SCAPS USC-1 Scanner Controller
 	4611  Storage Adapter FX2 (CY)
 	4616  Flash Disk (TPP)
@@ -4018,15 +4219,18 @@
 	1041  fi-4120c Scanner
 	1042  fi-4220c Scanner
 	105b  AH-F401U Air H device
+	1084  PalmSecure Sensor V2
 	1096  fi-5110EOX
 	1097  fi-5110C
 	10ae  fi-4120C2
 	10af  fi-4220C2
+	10c7  fi-60f scanner
 	10e0  fi-5120c Scanner
 	10e1  fi-5220C
 	10e7  fi-5900C
 	10fe  S500
 	1150  fi-6230
+	201d  SATA 3.0 6Gbit/s Adaptor [GROOVY]
 04c6  Toshiba America Electronic Components
 04c7  Micro Macro Technologies
 04c8  Konica Corp.
@@ -4040,7 +4244,9 @@
 	072c  Revio KD20M
 	072d  Revio KD410Z
 04ca  Lite-On Technology Corp.
+	004f  SK-9020 keyboard
 	1766  HID Monitor Controls
+	2004  Bluetooth 4.0 [Broadcom BCM20702A0]
 	9304  Hub
 	f01c  TT1280DA DVB-T TV Tuner
 04cb  Fuji Photo Film Co., Ltd
@@ -4181,19 +4387,24 @@
 	0033  PICkit2
 	0036  PICkit Serial Analyzer
 	00e0  PIC32 Starter Board
+	04cd  28Cxxx EEPROM Programmer
 	0a04  AGP LIN Serial Analyzer
 	8000  In-Circuit Debugger
 	8001  ICD2 in-circuit debugger
 	8101  PIC24F Starter Kit
 	8107  Microstick II
+	9004  Microchip REAL ICE
 	900a  PICkit3
 	c001  PicoLCD 20x4
+	f4b5  SmartScope
 	f8da  Hughski Ltd. ColorHug
+	f91c  SPROG IIv3
 	faff  Dangerous Prototypes BusPirate v4 Bootloader mode
 	fb00  Dangerous Prototypes BusPirate v4
 	fbb2  GCUSB-nStep stepper motor controller
 	fbba  DiscFerret Magnetic Disc Analyser (bootloader mode)
 	fbbb  DiscFerret Magnetic Disc Analyser (active mode)
+	fc1e  Bachrus Speedometer Interface
 	fc92  Open Bench Logic Sniffer
 	ffef  PICoPLC [APStech]
 04d9  Holtek Semiconductor, Inc.
@@ -4204,10 +4415,13 @@
 	1400  PS/2 keyboard + mouse controller
 	1503  Shortboard Lefty
 	1603  Keyboard
+	1702  Keyboard LKS02
 	2013  Keyboard [Das Keyboard]
 	2221  Keyboard
 	2323  Keyboard
-	2832  1channel Telephone line recorder
+	2519  Shenzhen LogoTech 2.4GHz receiver
+	2832  HT82A832R Audio MCU
+	2834  HT82A834R Audio MCU
 	a055  Keyboard
 04da  Panasonic (Matsushita)
 	0901  LS-120 Camera
@@ -4236,6 +4450,7 @@
 	2372  Lumix Camera (Storage mode)
 	2374  Lumix Camera (PTP mode)
 	2451  HDC-SD9
+	245b  HC-X920K (3MOS Full HD video camcorder)
 	2497  HDC-TM700
 	250c  Gobi Wireless Modem (QDL mode)
 	250d  Gobi Wireless Modem
@@ -4300,6 +4515,7 @@
 04e1  Iiyama North America, Inc.
 	0201  Monitor Hub
 04e2  Exar Corp.
+	1410  XR21V1410 USB-UART IC
 04e3  Zilog, Inc.
 04e4  ACC Microelectronics
 04e5  Promise Technology
@@ -4358,6 +4574,7 @@
 	5151  SCR338 Keyboard Smart Card Reader
 	5292  SCL011 RFID reader
 	5410  SCR35xx Smart Card Reader
+	5591  SCL3711-NFC&RW
 	e000  SCRx31 Reader
 	e001  SCR331 SmartCard Reader
 	e003  SPR532 PinPad SmartCard Reader
@@ -4385,10 +4602,11 @@
 	0100  Kingston Flash Drive (128MB)
 	0110  Connect3D Flash Drive
 	0111  Connect3D Flash Drive
-	0300  E2530 Phone (Mass storage mode)
+	0300  E2530 / GT-C3350 Phones (Mass storage mode)
 	1003  MP3 Player and Recorder
 	1006  SDC-200Z
 	130c  NX100
+	1f05  S2 Portable [JMicron] (500GB)
 	1f06  HX-MU064DA portable harddisk
 	2018  WIS09ABGN LinkStick Wireless LAN Adapter
 	2035  Digital Photo Frame Mass Storage
@@ -4434,6 +4652,7 @@
 	330c  ML-1865
 	3310  ML-331x Series Laser Printer
 	3315  ML-2540 Series Laser Printer
+	331e  M262x/M282x Xpress Series Laser Printer
 	3409  SCX-4216F Scanner
 	340c  SCX-5x15 series
 	340d  SCX-6x20 series
@@ -4450,6 +4669,7 @@
 	341f  Composite Device
 	3420  Composite Device
 	3426  SCX-4500 Laser Printer
+	342d  SCX-4x28 Series
 	344f  SCX-3400 Series
 	3605  InkJet Color Printer
 	3606  InkJet Color Printer
@@ -4522,8 +4742,12 @@
 	5f04  NEXiO Sync
 	5f05  STORY Station 1TB
 	6032  G2 Portable hard drive
+	6033  G2 Portable device
+	6034  G2 Portable hard drive
 	60b3  M2 Portable Hard Drive
 	60c4  M2 Portable Hard Drive USB 3.0
+	6124  D3 Station External Hard Drive
+	61b6  M3 Portable Hard Drive 1TB
 	6601  Mobile Phone
 	6602  Galaxy
 	6603  Galaxy
@@ -4561,12 +4785,14 @@
 	6843  E2530 Phone (Samsung Kies mode)
 	684e  Wave (GT-S8500)
 	685b  GT-I9100 Phone [Galaxy S II] (mass storage mode)
-	685c  GT-I9250 Phone [Galaxy Nexus]
+	685c  GT-I9250 Phone [Galaxy Nexus] (Mass storage mode)
 	685d  GT-I9100 Phone [Galaxy S II] (Download mode)
-	685e  GT-I9100 Phone [Galaxy S II] (USB Debugging mode)
-	6860  GT-I9100 Phone [Galaxy S II], GT-I9300 Phone [Galaxy S III], GT-P7500 [Galaxy Tab 10.1]
+	685e  GT-I9100 / GT-C3350 Phones (USB Debugging mode)
+	6860  GT-I9100 Phone [Galaxy S II], GT-I9300 Phone [Galaxy S III], GT-P7500 [Galaxy Tab 10.1] , GT-I9500 [Galaxy S 4]
+	6863  GT-I9500 [Galaxy S4] / GT-I9250 [Galaxy Nexus] (network tethering)
 	6865  GT-I9300 Phone [Galaxy S III] (PTP mode)
 	6866  GT-I9300 Phone [Galaxy S III] (debugging mode)
+	6868  Escape Composite driver for Android Phones: Modem+Diagnostic+ADB
 	6875  GT-B3710 Standalone LTE device (Commercial)
 	6876  GT-B3710 LTE Modem
 	6877  Galaxy S
@@ -4617,9 +4843,11 @@
 	0402  Genius LuxeMate i200 Keyboard
 	0403  KU-0420 keyboard
 	0418  KU-0418 Tactical Pad
+	0618  RG-0618U Wireless HID Receiver & KG-0609 Wireless Keyboard with Touchpad
 	0760  Acer KU-0760 Keyboard
 	0841  HP Multimedia Keyboard
 	0860  2.4G Multimedia Wireless Kit
+	1121  Periboard 717 Mini Wireless Keyboard
 	a001  E-Video DC-100 Camera
 	a120  ORITE CCD Webcam(PC370R)
 	a121  ORITE CCD Webcam(PC370R)
@@ -4655,7 +4883,10 @@
 	b044  Acer CrystalEye Webcam
 	b057  integrated USB webcam
 	b059  CKF7037 HP webcam
+	b064  CNA7137 Integrated Webcam
+	b070  Camera
 	b071  2.0M UVC Webcam / CNF7129
+	b083  CKF7063 Webcam (HP)
 	b091  Webcam
 	b104  CNF7069 Webcam
 	b107  CNF7070 Webcam
@@ -4667,6 +4898,7 @@
 	b1b9  Asus Integrated Webcam
 	b1cf  Lenovo Integrated Camera
 	b1d6  CNF9055 Toshiba Webcam
+	b1e4  Toshiba Integrated Webcam
 	b213  Fujitsu Integrated Camera
 	b217  Lenovo Integrated Camera (0.3MP)
 	b221  integrated camera
@@ -4676,9 +4908,13 @@
 	b272  Lenovo EasyCamera
 	b2b0  Camera
 	b2b9  Lenovo Integrated Camera UVC
+	b2da  thinkpad t430s camera
 	b2ea  Integrated Camera [ThinkPad]
 	b330  Asus 720p CMOS webcam
+	b354  UVC 1.00 device HD UVC WebCam
+	b394  Integrated Camera
 04f3  Elan Microelectronics Corp.
+	000a  Touchscreen
 	0103  ActiveJet K-2024 Multimedia Keyboard
 	01a4  Wireless Keyboard
 	0210  Optical Mouse
@@ -4883,8 +5119,10 @@
 	01ea  DCP-7030
 	01eb  MFC-7320
 	01f4  MFC-5890CN
+	0217  MFC-8480DN
 	0223  DCP-365CN
 	0248  DCP-7055 scanner/printer
+	02b3  MFC J4510DW
 	1000  Printer
 	1002  Printer
 	2002  PTUSB Printing
@@ -4894,6 +5132,7 @@
 	201a  PT-18R P-touch label printer
 	201b  QL-650TD P-Touch Label Printer
 	2027  QL-560 P-Touch Label Printer
+	202b  PT-7600 P-Touch Label Printer
 	2100  Card Reader Writer
 04fa  Dallas Semiconductor
 	2490  DS1490F 2-in-1 Fob, 1-Wire adapter
@@ -4906,7 +5145,7 @@
 	0015  ViewMate Desktop Mouse CC2201
 	00d3  00052486 / Laser Mouse M1052 [hama]
 	0171  SPCA1527A/SPCA1528 SD card camera (Mass Storage mode)
-	0201  RS232C Adapter
+	0201  SPCP825 RS232C Adapter
 	0232  Fingerprint
 	0538  Wireless Optical Mouse 2.4G [Bright]
 	0561  Flexcam 100
@@ -4922,7 +5161,9 @@
 	5330  Digitrex 2110
 	5331  Vivitar Vivicam 10
 	5360  Sunplus Generic Digital Camera
+	5563  Digital Media Player MP3/WMA [The Sharper Image]
 	5720  Card Reader Driver
+	6333  Siri A9 UVC chipset
 	7333  Finet Technology Palmpix DC-85
 	757a  Aiptek, MP315 MP3 Player
 	ffff  PureDigital Ritz Disposable
@@ -4945,9 +5186,14 @@
 	16e3  n30 Handheld Sync
 	3202  Liquid
 	3203  Liquid (Debug mode)
+	3230  BeTouch E120
 	3317  Liquid
 	3325  Iconia tablet A500
 	3341  Iconia tablet A500
+	33c3  Liquid Gallant Duo E350
+	33c4  Liquid Gallant Duo E350 (debug mode)
+	33c7  Liquid Gallant Duo E350 (USB tethering)
+	33c8  Liquid Gallant Duo E350 (debug mode, USB tethering)
 	d001  Divio NW801/DVC-V6+ Digital Camera
 0503  Hitachi America, Ltd
 0504  Hayes Microcomputer Products
@@ -4984,7 +5230,7 @@
 	0004  Direct Connect
 	0012  F8T012 Bluetooth Adapter
 	0013  F8T013 Bluetooth Adapter
-	0017  B8T017 Bluetooth+EDR 2.1
+	0017  B8T017 Bluetooth+EDR 2.1 / F4U017 USB 2.0 7-port Hub
 	003a  Universal Media Reader
 	0050  F5D6050 802.11b Wireless Adapter v2000 [Atmel at76c503a]
 	0081  F8T001v2 Bluetooth
@@ -5015,7 +5261,9 @@
 	0304  FSU304 USB 2.0 - 4 Ports Hub
 	0307  USB 2.0 - 7 ports Hub [FSU307]
 	0409  F5U409 Serial
+	0416  Staples 12416 7 port desktop hub
 	0551  F6C550-AVR UPS
+	065a  F8T065BF Mini Bluetooth 4.0 Adapter
 	0706  2-N-1 7-Port Hub (Lower half)
 	0802  Nostromo n40 Gamepad
 	0803  Nostromo 1745 GamePad
